Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.ws
Class WebServiceFeature

    java.lang.Object
      javax.xml.ws.WebServiceFeature

Direct Known Subclasses:
  AddressingFeature, MTOMFeature, RespectBindingFeature

    public abstract class WebServiceFeature

extends Object

A WebServiceFeature is used to represent a feature that can be enabled or disabled for a web service.

The JAX-WS specification will define some standard features and JAX-WS implementors are free to define additional features if necessary. Vendor specific features may not be portable so caution should be used when using them. Each Feature definition MUST define a `public static final String ID` that can be used in the Feature annotation to refer to the feature. This ID MUST be unique across all features of all vendors. When defining a vendor specific feature ID, use a vendor specific namespace in the ID string.

Since:
  2.1
See Also:
  `RespectBindingFeature`, `AddressingFeature`, `MTOMFeature`

Field Summary
`protected boolean` | `enabled` Specifies if the feature is enabled or disabled

Constructor Summary
`protected` | `WebServiceFeature()`

Method Summary
`abstract String` | `getID()` Get the unique identifier for this WebServiceFeature.
`boolean` | `isEnabled()` Returns `true` if this feature is enabled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enabled

    protected boolean enabled

  Specifies if the feature is enabled or disabled

Constructor Detail

### WebServiceFeature

    protected WebServiceFeature()

Method Detail

### getID

    public abstract String getID()

  Get the unique identifier for this WebServiceFeature.

  Returns:
    the unique identifier for this feature.

### isEnabled

    public boolean isEnabled()

  Returns `true` if this feature is enabled.

  Returns:
    `true` if and only if the feature is enabled .

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.